# FIXME: System.Net.Dns.GetHostEntry is not realized yet in mono 1.2.5

%define oname ice
%define major 3.3
Name: libice-sharp
Version: %major.0
Release: alt1

%define dotnetversion %version
%define dotnetpolicyversion %major
%define dotlibid 0__1f998c50fec78381

Summary: The Ice runtime for C# applications

License: GPL
Group:System/Libraries
Url: http://www.zeroc.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.zeroc.com/download/Ice/%major/Ice-%version.tar.bz2
Source1: http://www.zeroc.com/download/Ice/%major/Ice-rpmbuild-%major.0.tar.bz2

# Note: infinite wait during buildreq
# Automatically added by buildreq on Sat Aug 04 2007
BuildRequires: libice-devel mono-mcs mono-devel
BuildRequires: /proc

BuildRequires: ice = %version
BuildRequires(pre): rpm-build-mono

%description
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%package devel
Summary: Tools for developing Ice applications in C#
Group: Development/Other
Requires: %name = %version

%description devel
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%prep
%setup -q -n IceCS-%version
ln -s %_datadir/Ice-%version/slice slice
ln -s %_datadir/Ice-%version/certs certs
ln -s %_datadir/Ice-%version/config config
ln -s %_datadir/Ice-%version/config/Make.rules.Linux cs/config
mkdir -p cpp
ln -s %_includedir cpp/include
tar xfj %SOURCE1

cd cs
mkdir bin
# hack for correct assembling with icecs (any better variants then one?)
cp -r lib/pkgconfig lib/pkgconfig-copied
%__subst "s|Libs:.*|Libs: -r:`pwd`/bin/\${name}.dll|g" lib/pkgconfig-copied/*

%build
cd cs
export PKG_CONFIG_PATH=`pwd`/lib/pkgconfig-copied
%make_build OPTIMIZE=yes SLICE2CS=slice2cs

%install
mkdir -p %buildroot%_pkgconfigdir

cd cs
#%make_install NOGAC=yes prefix=%buildroot install
%make_install GACINSTALL=yes GAC_ROOT=%buildroot%_libdir prefix=%buildroot install

mv %buildroot/bin %buildroot%_bindir
mv %buildroot/lib/pkgconfig %buildroot%_libdir/

rm %buildroot/ICE_LICENSE %buildroot/LICENSE
rm -rf %buildroot/slice

%files
%_bindir/iceboxnet.exe
%dir %_monogacdir/Glacier2
%dir %_monogacdir/Glacier2/%dotnetversion.%dotlibid
%_monogacdir/Glacier2/%dotnetversion.%dotlibid/
%dir %_monogacdir/Ice
%dir %_monogacdir/Ice/%dotnetversion.%dotlibid
%_monogacdir/Ice/%dotnetversion.%dotlibid/
%dir %_monogacdir/IceBox
%dir %_monogacdir/IceBox/%dotnetversion.%dotlibid
%_monogacdir/IceBox/%dotnetversion.%dotlibid/
%dir %_monogacdir/IceGrid
%dir %_monogacdir/IceGrid/%dotnetversion.%dotlibid
%_monogacdir/IceGrid/%dotnetversion.%dotlibid/
%dir %_monogacdir/IcePatch2
%dir %_monogacdir/IcePatch2/%dotnetversion.%dotlibid
%_monogacdir/IcePatch2/%dotnetversion.%dotlibid/
%dir %_monogacdir/IceStorm
%dir %_monogacdir/IceStorm/%dotnetversion.%dotlibid
%_monogacdir/IceStorm/%dotnetversion.%dotlibid
%dir %_monogacdir/policy.%dotnetpolicyversion.Glacier2
%_monogacdir/policy.%dotnetpolicyversion.Glacier2/0.0.0.%dotlibid/
%dir %_monogacdir/policy.%dotnetpolicyversion.Ice
%_monogacdir/policy.%dotnetpolicyversion.Ice/0.0.0.%dotlibid/
%dir %_monogacdir/policy.%dotnetpolicyversion.IceBox
%_monogacdir/policy.%dotnetpolicyversion.IceBox/0.0.0.%dotlibid/
%dir %_monogacdir/policy.%dotnetpolicyversion.IceGrid
%_monogacdir/policy.%dotnetpolicyversion.IceGrid/0.0.0.%dotlibid/
%dir %_monogacdir/policy.%dotnetpolicyversion.IcePatch2
%_monogacdir/policy.%dotnetpolicyversion.IcePatch2/0.0.0.%dotlibid/
%dir %_monogacdir/policy.%dotnetpolicyversion.IceStorm
%_monogacdir/policy.%dotnetpolicyversion.IceStorm/0.0.0.%dotlibid/

%files devel
%_pkgconfigdir/Glacier2.pc
%_pkgconfigdir/IceBox.pc
%_pkgconfigdir/IceGrid.pc
%_pkgconfigdir/IcePatch2.pc
%_pkgconfigdir/Ice.pc
%_pkgconfigdir/IceStorm.pc

%changelog
* Tue Jul 08 2008 Evgeny Sinelnikov <sin@altlinux.ru> 3.3.0-alt1
- update to new release
- remove noarch, because monolib.req find package has soname
  dependency libbz2.so.1

* Thu Nov 01 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt2
- fix library version

* Fri Sep 21 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt1
- new version 3.2.1 (with rpmrb script)

* Fri Aug 03 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt1
- initial build for ALT Linux Sisyphus

* Fri Dec 6 2006 ZeroC Staff
- See source distributions or the ZeroC website for more information
  about the changes in this release

